Bug 495405 - nfsd oops
nfsd oops
Status: CLOSED DUPLICATE of bug 494067
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 15:37 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 12:26:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2009-04-12 15:37:58 EDT
Just hit this on my nfs server...


BUG: unable to handle kernel NULL pointer dereference at 0000000000000004
IP: [<ffffffff81186e28>] inode_has_perm+0x30/0x66
PGD 1690d067 PUD 90bc8067 PMD 0 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/virtual/net/tun0/flags
CPU 0 
Modules linked in: tun nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_event snd_seq_midi_emul snd_seq snd_emu10k1 snd_rawmidi snd_ac97_codec ov511 videodev ac97_bus snd_pcm sata_sil v4l1_compat v4l2_compat_ioctl32 snd_seq_device usb_storage snd_timer snd_page_alloc snd_util_mem firewire_ohci firewire_core i82975x_edac crc_itu_t snd_hwdep snd e1000e i2c_i801 edac_core pcspkr emu10k1_gp gameport soundcore iTCO_wdt iTCO_vendor_support radeon drm i2c_algo_bit i2c_core [last unloaded: tun]
Pid: 2540, comm: nfsd Not tainted 2.6.29.1-54.fc11.x86_64 #1         
RIP: 0010:[<ffffffff81186e28>]  [<ffffffff81186e28>] inode_has_perm+0x30/0x66
RSP: 0018:ffff8800b68c5c10  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 0000000000100002 RCX: 0000000000000000
RDX: 0000000000100002 RSI: ffff8800b7fda7c8 RDI: ffff88004fb46240
RBP: ffff8800b68c5c60 R08: 0000000000000000 R09: ffff88004fb46240
R10: ffff8800bd14fd00 R11: 0000000000000000 R12: ffff8800b7fda7c8
R13: ffff88004fb46240 R14: ffff880021f3c6c0 R15: ffff8800b7fda7c8
FS:  0000000000000000(0000) GS:ffffffff817b7000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000004 CR3: 000000006a8b1000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process nfsd (pid: 2540, threadinfo ffff8800b68c4000, task ffff8800b68c8000)
Stack:
 ffff880021f3c780 0000000000000404 ffff8800b68c5c60 0000000000000246
 0000000000000001 ffffffff815f4040 ffff8800b68c5c90 0000000000000246
 ffff8800b683a000 ffff880021f3c6c0 ffff8800b68c5c90 ffffffff811894f8
Call Trace:
 [<ffffffff811894f8>] selinux_dentry_open+0xe7/0xf0
 [<ffffffff81181be1>] security_dentry_open+0x16/0x18
 [<ffffffff810d69de>] __dentry_open+0x11b/0x273
 [<ffffffff810d6bbd>] dentry_open+0x87/0x8e
 [<ffffffffa03250cc>] nfsd_open+0x12d/0x156 [nfsd]
 [<ffffffff81050686>] ? _local_bh_enable_ip+0xde/0xeb
 [<ffffffffa0325451>] nfsd_read+0x85/0xc4 [nfsd]
 [<ffffffffa032b6f8>] nfsd3_proc_read+0xe7/0x126 [nfsd]
 [<ffffffffa032026f>] nfsd_dispatch+0xf1/0x1cc [nfsd]
 [<ffffffffa02c91b5>] svc_process+0x426/0x642 [sunrpc]
 [<ffffffffa032086e>] nfsd+0x14c/0x1aa [nfsd]
 [<ffffffffa0320722>] ? nfsd+0x0/0x1aa [nfsd]
 [<ffffffff8105edd5>] kthread+0x4d/0x78
 [<ffffffff810126ca>] child_rip+0xa/0x20
 [<ffffffff81011fe7>] ? restore_args+0x0/0x30
 [<ffffffff8105ed88>] ? kthread+0x0/0x78
 [<ffffffff810126c0>] ? child_rip+0x0/0x20
Code: 83 ec 50 0f 1f 44 00 00 44 8b 9e 18 02 00 00 31 c0 49 89 c8 41 81 e3 00 02 00 00 75 42 48 8b 47 68 48 85 c9 4c 8b 96 20 02 00 00 <44> 8b 48 04 75 19 4c 8d 45 b0 b9 12 00 00 00 44 89 d8 4c 89 c7 
RIP  [<ffffffff81186e28>] inode_has_perm+0x30/0x66
 RSP <ffff8800b68c5c10>
CR2: 0000000000000004
---[ end trace bf99b63334595f51 ]---
Comment 1 Chuck Ebbert 2009-04-13 12:26:16 EDT

*** This bug has been marked as a duplicate of bug 494067 ***

Note You need to log in before you can comment on or make changes to this bug.